<template>
  <i-wrapper top>
    <i-header :title="planet.inSignText" :back="{ name: 'you.planets' }" />
    <i-curtain :bottom-circles="false" scrollable fixed>
      <div class="container d-flex flex-column align-items-center">
        <div class="p-title-container d-flex w-100 align-items-center">
          <img
            :src="
              require(`~/assets/images/planet-${planet.name.toLowerCase()}-w1${
                planetVariants[planet.name.toLowerCase()] ? `-variant-${planetVariants[planet.name.toLowerCase()]}` : ''
              }.svg`)
            "
            class="p-planet-image" />
          <span class="p-title">{{ $t(`planetNames.${planet.name.toLowerCase()}`) }}</span>
        </div>
        <div class="p-description" v-html="descriptionHtml" />
        <div class="p-tag-title">{{ $t(`Represents`) }}:</div>
        <div class="p-tags">
          <span v-for="planetTag in planet.tags" :key="planetTag" class="p-tag">{{ $t(planetTag) }}</span>
        </div>
        <div class="p-separator" />
        <div class="p-zodiac-title-container p-relative d-flex w-100 align-items-center">
          <img
            :src="
              require(`~/assets/images/zodiac-${planet.sign.toLowerCase()}-orange${
                zodiacVariants[planet.sign.toLowerCase()] ? `-variant-${zodiacVariants[planet.sign.toLowerCase()]}` : ''
              }.png`)
            "
            class="p-zodiac-image" />
          <img
            :src="
              require(`~/assets/images/planet-${planet.name.toLowerCase()}-w2${
                planetVariants[planet.name.toLowerCase()] ? `-variant-${planetVariants[planet.name.toLowerCase()]}` : ''
              }.svg`)
            "
            class="p-zodiac-planet-image" />
          <span class="p-zodiac-title">{{ planet.inSignText }}</span>
        </div>
        <div class="p-sign-description" v-html="reportHtml" />
      </div>
    </i-curtain>
  </i-wrapper>
</template>

<script>
  export default {
    layout: 'default',
    nuxtI18n: false,
    middleware: ['logged-in-only'],
    transition: { name: 'fade', mode: 'out-in' },

    async asyncData({ $axios, params, redirect, store }) {
      let response = await $axios.get(`planets/${params.planetSlug}`);

      if (!response.data.data) {
        return redirect({ name: 'planets' });
      }

      if (!store.state.auth.user.hasActiveSubscription) {
        return redirect({ name: 'planets' });
      }

      return {
        planet: {
          ...response.data.data,
        },
      };
    },

    data() {
      return {
        zodiacVariants: {
          aquarius: 2,
          cancer: 2,
        },

        planetVariants: {
          sun: 1,
        },
      };
    },

    computed: {
      descriptionHtml() {
        return this.planet.description.replace(/\r*\n/g, '<br>');
      },

      reportHtml() {
        return this.planet.report.replace(/\r*\n/g, '<br>');
      },
    },
  };
</script>

<style lang="scss" scoped>
  .p-title {
    font-size: rf(16px);
    color: #575167;
    font-weight: bold;
    margin-left: rs(10px);
  }

  .p-planet-image {
    width: rs(60px);
    height: rs(60px);
  }

  .p-description {
    color: #575167;
    line-height: 140%;
    font-size: rf(14px);
    margin-top: rs(10px);
  }

  .p-tag-title {
    width: 100%;
    color: #575167;
    font-size: rf(14px);
    font-weight: bold;
    margin-top: rs(10px);
  }

  .p-tags {
    display: flex;
    flex-wrap: wrap;
    width: 100%;
    margin-top: rs(2px);
  }

  .p-tag {
    display: inline-flex;
    align-items: center;
    height: rs(22px);
    background-color: #fa7d70;
    border-radius: rs(11px);
    padding: 0 rs(11px);
    font-size: rf(13px);
    color: #fff;
    margin-top: rs(3px);
    margin-right: rs(3px);
  }

  .p-separator {
    background-color: #e3e9ee;
    width: 100%;
    height: 1px;
    margin-top: rs(15px);
    margin-bottom: rs(15px);
  }

  .p-zodiac-image {
    width: rs(60px);
    height: rs(60px);
  }

  .p-zodiac-planet-image {
    position: absolute;
    z-index: 1;
    top: rs(30px);
    left: rs(30px);
    width: rs(33px);
    height: rs(33px);
  }

  .p-zodiac-title {
    color: #575167;
    font-size: rf(16px);
    margin-left: rs(10px);
  }

  .p-sign-description {
    color: #575167;
    line-height: 140%;
    font-size: rf(14px);
    margin-top: rs(10px);
  }
</style>
